noinst_LTLIBRARIES=libclasses.la

INCLUDES=-I${top_srcdir}

libclasses_la_SOURCES= 	types.h \
	tokenmap.cpp tokenmap.h \
	type_registory.cpp type_registory.h \
	qname.cpp qname.h \
	namespaces.cpp namespaces.h \
	global_attributes.cpp global_attributes.h \
	occurence.cpp occurence.h \
	member.h \
	traits.h \
	element_ptr.h \
	fixed.h \
	item.cpp item.h \
	membertype.cpp membertype.h \
	sequence.h \
	closure.h closure.cpp \
	choice.h \
	all.h \
	simplecontent.h \
	construct.cpp construct.h \
	destruct.cpp destruct.h \
	equals.cpp equals.h \
	copy.cpp copy.h \
	document.cpp document.h

pkgincludedir=${includedir}/${subdir}
pkginclude_HEADERS=*.h
